View Issue Details

IDProjectCategoryView StatusLast Update
0005557GNUnetbuild processpublic2019-02-28 11:17
Reporternikita Assigned Tonikita  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformamd64OSNetBSDOS VersionCURRENT
Product Version0.11.0pre66 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005557: libgcrypt-config is not picked up by configure
DescriptionSee config.log
Steps To ReproduceThis occurs while working on the gnunet package in pkgsrc-wip
TagsNo tags attached.

Activities

nikita

2019-02-11 18:41

developer  

config.log (76,444 bytes)   
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by gnunet configure 0.11.0pre66, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ ./configure --disable-ipv6 --without-bdb --without-gdbm --without-tdb --with-crypto=/usr/pkg --with-extractor=/usr/pkg --sysconfdir=/usr/pkg/etc --prefix=/usr/pkg --build=x86_64--netbsd --host=x86_64--netbsd --mandir=/usr/pkg/man

## --------- ##
## Platform. ##
## --------- ##

hostname = uptimegirl
uname -m = amd64
uname -r = 8.99.34
uname -s = NetBSD
uname -v = NetBSD 8.99.34 (GENERIC) #0: Sat Feb  9 10:14:50 UTC 2019  ng0@uptimegirl:/usr/obj/sys/arch/amd64/compile/GENERIC

/usr/bin/uname -p = x86_64
/bin/uname -X     = unknown

/bin/arch              = unknown
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/work/wip/gnunet/work/.cwrapper/bin
PATH: /usr/work/wip/gnunet/work/.buildlink/bin
PATH: /usr/work/wip/gnunet/work/.gcc/bin
PATH: /usr/work/wip/gnunet/work/.tools/bin
PATH: /usr/pkg/bin
PATH: /home/ng0/bin
PATH: /bin
PATH: /sbin
PATH: /usr/bin
PATH: /usr/sbin
PATH: /usr/X11R7/bin
PATH: /usr/pkg/bin
PATH: /usr/pkg/sbin
PATH: /usr/games
PATH: /usr/local/bin
PATH: /usr/local/sbin
PATH: /usr/pkg/bin
PATH: /usr/X11R7/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:3082: checking build system type
configure:3096: result: x86_64--netbsd
configure:3116: checking host system type
configure:3129: result: x86_64--netbsd
configure:3149: checking target system type
configure:3162: result: x86_64--netbsd
configure:3207: checking for a BSD-compatible install
configure:3275: result: /usr/bin/install -c -o ng0 -g users
configure:3286: checking whether build environment is sane
configure:3341: result: yes
configure:3492: checking for a thread-safe mkdir -p
configure:3531: result: ./install-sh -c -d
configure:3538: checking for gawk
configure:3565: result: /usr/bin/awk
configure:3576: checking whether make sets $(MAKE)
configure:3598: result: yes
configure:3627: checking whether make supports nested variables
configure:3644: result: yes
configure:3781: checking whether make supports nested variables
configure:3798: result: yes
configure:3817: checking for gawk
configure:3844: result: /usr/bin/awk
configure:3867: checking for style of include used by make
configure:3895: result: GNU
configure:3926: checking for x86_64--netbsd-gcc
configure:3953: result: gcc
configure:4222: checking for C compiler version
configure:4231: gcc --version >&5
gcc (nb1 20190119) 7.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:4242: $? = 0
configure:4231: gcc -v >&5
Using built-in specs.
COLLECT_GCC=/usr/work/wip/gnunet/work/.gcc/bin/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/lto-wrapper
Target: x86_64--netbsd
Configured with: /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64--netbsd --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64 : (reconfigured) /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64-unknown-netbsd8.0 --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64
Thread model: posix
gcc version 7.4.0 (nb1 20190119) 
configure:4242: $? = 0
configure:4231: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:4242: $? = 1
configure:4231: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:4242: $? = 1
configure:4262: checking whether the C compiler works
configure:4284: gcc -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:4288: $? = 0
configure:4336: result: yes
configure:4339: checking for C compiler default output file name
configure:4341: result: a.out
configure:4347: checking for suffix of executables
configure:4354: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:4358: $? = 0
configure:4380: result: 
configure:4402: checking whether we are cross compiling
configure:4410: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:4414: $? = 0
configure:4421: ./conftest
configure:4425: $? = 0
configure:4440: result: no
configure:4445: checking for suffix of object files
configure:4467: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:4471: $? = 0
configure:4492: result: o
configure:4496: checking whether we are using the GNU C compiler
configure:4515: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:4515: $? = 0
configure:4524: result: yes
configure:4533: checking whether gcc accepts -g
configure:4553: gcc -c -g -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:4553: $? = 0
configure:4594: result: yes
configure:4611: checking for gcc option to accept ISO C89
configure:4674: gcc  -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:4674: $? = 0
configure:4687: result: none needed
configure:4712: checking whether gcc understands -c and -o together
configure:4734: gcc -c conftest.c -o conftest2.o
configure:4737: $? = 0
configure:4734: gcc -c conftest.c -o conftest2.o
configure:4737: $? = 0
configure:4749: result: yes
configure:4768: checking dependency style of gcc
configure:4879: result: gcc3
configure:4894: checking for gcc option to accept ISO C99
configure:5043: gcc  -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:5043: $? = 0
configure:5056: result: none needed
configure:5076: checking how to run the C preprocessor
configure:5107: gcc -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c
configure:5107: $? = 0
configure:5121: gcc -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c
conftest.c:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:5121: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5146: result: gcc -E
configure:5166: gcc -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c
configure:5166: $? = 0
configure:5180: gcc -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c
conftest.c:11:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:5180: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5320: checking for C++ compiler version
configure:5329: c++ --version >&5
g++ (nb1 20190119) 7.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:5340: $? = 0
configure:5329: c++ -v >&5
Using built-in specs.
COLLECT_GCC=/usr/work/wip/gnunet/work/.gcc/bin/g++
COLLECT_LTO_WRAPPER=/usr/libexec/lto-wrapper
Target: x86_64--netbsd
Configured with: /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64--netbsd --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64 : (reconfigured) /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64-unknown-netbsd8.0 --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64
Thread model: posix
gcc version 7.4.0 (nb1 20190119) 
configure:5340: $? = 0
configure:5329: c++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:5340: $? = 1
configure:5329: c++ -qversion >&5
g++: error: unrecognized command line option '-qversion'; did you mean '--version'?
g++: fatal error: no input files
compilation terminated.
configure:5340: $? = 1
configure:5344: checking whether we are using the GNU C++ compiler
configure:5363: c++ -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp >&5
configure:5363: $? = 0
configure:5372: result: yes
configure:5381: checking whether c++ accepts -g
configure:5401: c++ -c -g -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp >&5
configure:5401: $? = 0
configure:5442: result: yes
configure:5467: checking dependency style of c++
configure:5578: result: gcc3
configure:5603: checking for x86_64--netbsd-gcc
configure:5633: result: no
configure:5603: checking for x86_64--netbsd-objcc
configure:5633: result: no
configure:5603: checking for x86_64--netbsd-objc
configure:5633: result: no
configure:5603: checking for x86_64--netbsd-cc
configure:5633: result: no
configure:5603: checking for x86_64--netbsd-CC
configure:5633: result: no
configure:5647: checking for gcc
configure:5663: found /usr/work/wip/gnunet/work/.cwrapper/bin/gcc
configure:5674: result: gcc
configure:5699: checking for Objective C compiler version
configure:5708: gcc --version >&5
gcc (nb1 20190119) 7.4.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:5719: $? = 0
configure:5708: gcc -v >&5
Using built-in specs.
COLLECT_GCC=/usr/work/wip/gnunet/work/.gcc/bin/gcc
COLLECT_LTO_WRAPPER=/usr/libexec/lto-wrapper
Target: x86_64--netbsd
Configured with: /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64--netbsd --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64 : (reconfigured) /usr/src/tools/gcc/../../external/gpl3/gcc/dist/configure --target=x86_64--netbsd --enable-long-long --enable-threads --with-bugurl=http://www.NetBSD.org/Misc/send-pr.html --with-pkgversion='NetBSD nb1 20190119' --with-system-zlib --without-isl --disable-libstdcxx-dual-abi --enable-__cxa_atexit --enable-libstdcxx-time=rt --enable-libstdcxx-threads --with-diagnostics-color=auto-if-env --with-tune=nocona --with-default-libstdcxx-abi=new --with-mpc-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpc/lib/libmpc --with-mpfr-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/mpfr/lib/libmpfr --with-gmp-lib=/var/obj/mknative/amd64-x86_64/usr/src/external/lgpl3/gmp/lib/libgmp --with-mpc-include=/usr/src/external/lgpl3/mpc/dist/src --with-mpfr-include=/usr/src/external/lgpl3/mpfr/dist/src --with-gmp-include=/usr/src/external/lgpl3/gmp/lib/libgmp/arch/x86_64 --enable-tls --disable-multilib --disable-symvers --disable-libstdcxx-pch --build=x86_64-unknown-netbsd8.0 --host=x86_64--netbsd --with-sysroot=/var/obj/mknative/amd64-x86_64/usr/src/destdir.amd64
Thread model: posix
gcc version 7.4.0 (nb1 20190119) 
configure:5719: $? = 0
configure:5708: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:5719: $? = 1
configure:5708: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:5719: $? = 1
configure:5723: checking whether we are using the GNU Objective C compiler
configure:5742: gcc -c  -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.m >&5
configure:5742: $? = 0
configure:5751: result: yes
configure:5760: checking whether gcc accepts -g
configure:5780: gcc -c -g -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.m >&5
configure:5780: $? = 0
configure:5821: result: yes
configure:5846: checking dependency style of gcc
configure:5955: result: gcc3
configure:5971: checking whether ln -s works
configure:5975: result: yes
configure:5982: checking whether make sets $(MAKE)
configure:6004: result: yes
configure:6060: checking how to print strings
configure:6087: result: printf
configure:6108: checking for a sed that does not truncate output
configure:6172: result: /usr/bin/sed
configure:6190: checking for grep that handles long lines and -e
configure:6248: result: /usr/bin/grep
configure:6253: checking for egrep
configure:6315: result: /usr/bin/egrep
configure:6320: checking for fgrep
configure:6382: result: /usr/bin/grep -F
configure:6417: checking for ld used by gcc
configure:6484: result: /usr/work/wip/gnunet/work/.cwrapper/bin/ld
configure:6491: checking if the linker (/usr/work/wip/gnunet/work/.cwrapper/bin/ld) is GNU ld
configure:6506: result: yes
configure:6518: checking for BSD- or MS-compatible name lister (nm)
configure:6572: result: /usr/bin/nm -B
configure:6702: checking the name lister (/usr/bin/nm -B) interface
configure:6709: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:6712: /usr/bin/nm -B "conftest.o"
configure:6715: output
0000000000000000 B some_variable
configure:6722: result: BSD nm
configure:6726: checking the maximum length of command line arguments
configure:6857: result: 262144
configure:6905: checking how to convert x86_64--netbsd file names to x86_64--netbsd format
configure:6945: result: func_convert_file_noop
configure:6952: checking how to convert x86_64--netbsd file names to toolchain format
configure:6972: result: func_convert_file_noop
configure:6979: checking for /usr/work/wip/gnunet/work/.cwrapper/bin/ld option to reload object files
configure:6986: result: -r
configure:7020: checking for x86_64--netbsd-objdump
configure:7050: result: no
configure:7060: checking for objdump
configure:7076: found /usr/bin/objdump
configure:7087: result: objdump
configure:7116: checking how to recognize dependent libraries
configure:7316: result: match_pattern /lib[^/]+(\.so|_pic\.a)$
configure:7361: checking for x86_64--netbsd-dlltool
configure:7391: result: no
configure:7401: checking for dlltool
configure:7431: result: no
configure:7458: checking how to associate runtime and link libraries
configure:7485: result: printf %s\n
configure:7502: checking for x86_64--netbsd-ar
configure:7532: result: no
configure:7546: checking for ar
configure:7562: found /usr/bin/ar
configure:7573: result: ar
configure:7610: checking for archiver @FILE support
configure:7627: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:7627: $? = 0
configure:7630: ar cru libconftest.a @conftest.lst >&5
configure:7633: $? = 0
configure:7638: ar cru libconftest.a @conftest.lst >&5
ar: conftest.o: No such file or directory
configure:7641: $? = 1
configure:7653: result: @
configure:7671: checking for x86_64--netbsd-strip
configure:7701: result: no
configure:7711: checking for strip
configure:7727: found /usr/work/wip/gnunet/work/.tools/bin/strip
configure:7738: result: strip
configure:7770: checking for x86_64--netbsd-ranlib
configure:7800: result: no
configure:7810: checking for ranlib
configure:7826: found /usr/bin/ranlib
configure:7837: result: ranlib
configure:7939: checking command to parse /usr/bin/nm -B output from gcc object
configure:8092: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:8095: $? = 0
configure:8099: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | sed '/ __gnu_lto/d' \> conftest.nm
configure:8102: $? = 0
configure:8168: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c conftstm.o >&5
configure:8171: $? = 0
configure:8209: result: ok
configure:8256: checking for sysroot
configure:8286: result: no
configure:8293: checking for a working dd
configure:8331: result: /bin/dd
configure:8335: checking how to truncate binary pipes
configure:8350: result: /bin/dd bs=4096 count=1
configure:8639: checking for x86_64--netbsd-mt
configure:8669: result: no
configure:8679: checking for mt
configure:8695: found /bin/mt
configure:8706: result: mt
configure:8729: checking if mt is a manifest tool
configure:8735: mt '-?'
mt: unknown option -- ?
usage: mt [-f device] command [count]
configure:8743: result: no
configure:9416: checking for ANSI C header files
configure:9436: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9436: $? = 0
configure:9509: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:9509: $? = 0
configure:9509: ./conftest
configure:9509: $? = 0
configure:9520: result: yes
configure:9533: checking for sys/types.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for sys/stat.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for stdlib.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for string.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for memory.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for strings.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for inttypes.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for stdint.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9533: checking for unistd.h
configure:9533: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9533: $? = 0
configure:9533: result: yes
configure:9547: checking for dlfcn.h
configure:9547: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:9547: $? = 0
configure:9547: result: yes
configure:10110: checking for objdir
configure:10125: result: .libs
configure:10389: checking if gcc supports -fno-rtti -fno-exceptions
configure:10407: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option '-fno-rtti' is valid for C++/ObjC++ but not for C
configure:10411: $? = 0
configure:10424: result: no
configure:10782: checking for gcc option to produce PIC
configure:10789: result: -fPIC -DPIC
configure:10797: checking if gcc PIC flag -fPIC -DPIC works
configure:10815: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -fPIC -DPIC -DPIC conftest.c >&5
configure:10819: $? = 0
configure:10832: result: yes
configure:10861: checking if gcc static flag -static works
configure:10889: result: yes
configure:10904: checking if gcc supports -c -o file.o
configure:10925: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -o out/conftest2.o conftest.c >&5
configure:10929: $? = 0
configure:10951: result: yes
configure:10959: checking if gcc supports -c -o file.o
configure:11006: result: yes
configure:11039: checking whether the gcc linker (/usr/work/wip/gnunet/work/.cwrapper/bin/ld) supports shared libraries
configure:12302: result: yes
configure:12339: checking whether -lc should be explicitly linked in
configure:12347: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:12350: $? = 0
configure:12365: gcc -shared  -fPIC -DPIC conftest.o  -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| /usr/bin/grep  -lc  \>/dev/null 2\>\&1
configure:12368: $? = 0
configure:12382: result: no
configure:12542: checking dynamic linker characteristics
configure:13372: result: NetBSD ld.elf_so
configure:13494: checking how to hardcode library paths into programs
configure:13519: result: immediate
configure:13621: checking for shl_load
configure:13621: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
ld: /var/tmp//ccEWbtOY.o: in function `main':
conftest.c:(.text.startup+0x7): undefined reference to `shl_load'
configure:13621: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
| /* Define shl_load to an innocuous variant, in case <limits.h> declares shl_load.
|    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
| #define shl_load innocuous_shl_load
| 
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char shl_load (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| 
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| 
| #undef shl_load
| 
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char shl_load ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined __stub_shl_load || defined __stub___shl_load
| choke me
| #endif
| 
| int
| main ()
| {
| return shl_load ();
|   ;
|   return 0;
| }
configure:13621: result: no
configure:13625: checking for shl_load in -ldld
configure:13650: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c -ldld   >&5
ld: cannot find -ldld
configure:13650: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
| 
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char shl_load ();
| int
| main ()
| {
| return shl_load ();
|   ;
|   return 0;
| }
configure:13659: result: no
configure:13664: checking for dlopen
configure:13664: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:13664: $? = 0
configure:13664: result: yes
configure:13821: checking whether a program can dlopen itself
configure:13901: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -DHAVE_DLFCN_H -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE -Wl,--export-dynamic conftest.c   >&5
configure:13904: $? = 0
configure:13922: result: yes
configure:13927: checking whether a statically linked program can dlopen itself
configure:14007: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -DHAVE_DLFCN_H -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE -Wl,--export-dynamic -static conftest.c   >&5
configure:14010: $? = 0
Service unavailable
configure:14028: result: no
configure:14067: checking whether stripping libraries is possible
configure:14072: result: yes
configure:14107: checking if libtool supports shared libraries
configure:14109: result: yes
configure:14112: checking whether to build shared libraries
configure:14137: result: yes
configure:14140: checking whether to build static libraries
configure:14144: result: no
configure:14167: checking how to run the C++ preprocessor
configure:14194: c++ -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp
configure:14194: $? = 0
configure:14208: c++ -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp
conftest.cpp:23:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:14208: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:14233: result: c++ -E
configure:14253: c++ -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp
configure:14253: $? = 0
configure:14267: c++ -E -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp
conftest.cpp:23:10: fatal error: ac_nonexistent.h: No such file or directory
 #include <ac_nonexistent.h>
          ^~~~~~~~~~~~~~~~~~
compilation terminated.
configure:14267: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:14429: checking for ld used by c++
configure:14496: result: /usr/work/wip/gnunet/work/.cwrapper/bin/ld
configure:14503: checking if the linker (/usr/work/wip/gnunet/work/.cwrapper/bin/ld) is GNU ld
configure:14518: result: yes
configure:14573: checking whether the c++ linker (/usr/work/wip/gnunet/work/.cwrapper/bin/ld) supports shared libraries
configure:15646: result: yes
configure:15682: c++ -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.cpp >&5
configure:15685: $? = 0
configure:16166: checking for c++ option to produce PIC
configure:16173: result: -fPIC -DPIC
configure:16181: checking if c++ PIC flag -fPIC -DPIC works
configure:16199: c++ -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -fPIC -DPIC -DPIC conftest.cpp >&5
configure:16203: $? = 0
configure:16216: result: yes
configure:16239: checking if c++ static flag -static works
configure:16267: result: yes
configure:16279: checking if c++ supports -c -o file.o
configure:16300: c++ -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -o out/conftest2.o conftest.cpp >&5
configure:16304: $? = 0
configure:16326: result: yes
configure:16331: checking if c++ supports -c -o file.o
configure:16378: result: yes
configure:16408: checking whether the c++ linker (/usr/work/wip/gnunet/work/.cwrapper/bin/ld) supports shared libraries
configure:16451: result: yes
configure:16592: checking dynamic linker characteristics
configure:17349: result: NetBSD ld.elf_so
configure:17414: checking how to hardcode library paths into programs
configure:17439: result: immediate
configure:17510: checking for special C compiler options needed for large files
configure:17555: result: no
configure:17561: checking for _FILE_OFFSET_BITS value needed for large files
configure:17586: gcc -c -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:17586: $? = 0
configure:17618: result: no
configure:17703: checking for _LARGEFILE_SOURCE value needed for large files
configure:17722: gcc -o conftest -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:17722: $? = 0
configure:17750: result: no
configure:19603: checking for build target
configure:19670: result: 
configure:19681: checking whether unaligned 64-bit access works
configure:19706: gcc -o conftest -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
conftest.c: In function 'main':
conftest.c:32:24: warning: implicit declaration of function 'malloc' [-Wimplicit-function-declaration]
             void *bp = malloc (50);
                        ^~~~~~
conftest.c:32:24: warning: incompatible implicit declaration of built-in function 'malloc'
conftest.c:32:24: note: include '<stdlib.h>' or provide a declaration of 'malloc'
conftest.c:34:38: warning: dereferencing 'void *' pointer
      long long *be = (long long*) &bp[1];
                                      ^
configure:19706: $? = 0
configure:19706: ./conftest
configure:19706: $? = 0
configure:19717: result: yes
configure:19731: checking for library containing gethostbyname
configure:19762: gcc -o conftest -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c  >&5
configure:19762: $? = 0
configure:19779: result: none required
configure:19787: checking for socket in -lsocket
configure:19812: gcc -o conftest -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c -lsocket   >&5
ld: cannot find -lsocket
ld: /var/tmp//cc9qHq0C.o: in function `main':
conftest.c:(.text.startup+0x7): warning: warning: reference to compatibility socket(); include <sys/socket.h> for correct reference
configure:19812: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| #define HAVE_FSEEKO 1
| #define SOMEBSD 1
| #define NETBSD 1
| #define GNUNET_DEFAULT_INTERFACE "eth0"
| #define HAVE_UNALIGNED_64_ACCESS 1
| /* end confdefs.h.  */
| 
| /* Override any GCC internal prototype to avoid an error.
|    Use char because int might match the return type of a GCC
|    builtin and then its argument prototype would still apply.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| char socket ();
| int
| main ()
| {
| return socket ();
|   ;
|   return 0;
| }
configure:19821: result: no
configure:19832: checking for log in -lm
configure:19857: gcc -o conftest -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c -lm   >&5
conftest.c:35:6: warning: conflicting types for built-in function 'log' [-Wbuiltin-declaration-mismatch]
 char log ();
      ^~~
configure:19857: $? = 0
configure:19866: result: yes
configure:19877: checking for getloadavg in -lc
configure:19902: gcc -o conftest -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE conftest.c -lc  -lm  >&5
configure:19902: $? = 0
configure:19911: result: yes
configure:19922: checking for getopt
configure:19938: found /usr/pkg/bin/getopt
configure:19950: result: true
configure:19969: checking for ssh
configure:19985: found /usr/bin/ssh
configure:19997: result: true
configure:20024: checking for struct tm.tm_gmtoff
configure:20024: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:20024: $? = 0
configure:20024: result: yes
configure:20033: checking whether _stati64 is declared
configure:20033: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
conftest.c: In function 'main':
conftest.c:71:10: error: '_stati64' undeclared (first use in this function); did you mean 'fstatat'?
   (void) _stati64;
          ^~~~~~~~
          fstatat
conftest.c:71:10: note: each undeclared identifier is reported only once for each function it appears in
configure:20033: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| #define HAVE_FSEEKO 1
| #define SOMEBSD 1
| #define NETBSD 1
| #define GNUNET_DEFAULT_INTERFACE "eth0"
| #define HAVE_UNALIGNED_64_ACCESS 1
| #define HAVE_LIBM 1
| #define HAVE_GETLOADAVG 1
| #define HAVE_TM_GMTOFF 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| int
| main ()
| {
| #ifndef _stati64
| #ifdef __cplusplus
|   (void) _stati64;
| #else
|   (void) _stati64;
| #endif
| #endif
| 
|   ;
|   return 0;
| }
configure:20033: result: no
configure:20173: checking for x86_64--netbsd-libgcrypt-config
configure:20203: result: /nonexistent
configure:20277: checking for LIBGCRYPT - version >= 1.6.0
configure:20314: result: no
configure:20369: checking whether gcry_mpi_set_opaque_copy is declared
configure:20369: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:20369: $? = 0
configure:20369: result: yes
configure:20391: error: 
***
*** You need libgcrypt to build this program.
**  This library is for example available at
***   ftp://ftp.gnupg.org/gcrypt/libgcrypt/
*** (at least version 1.6.0 (API 1)
***  is required.)
***

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=x86_64--netbsd
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=''
ac_cv_env_CCC_value=''
ac_cv_env_CC_set=set
ac_cv_env_CC_value=gcc
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value='-I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CPP_set=''
ac_cv_env_CPP_value=''
ac_cv_env_CXXCPP_set=''
ac_cv_env_CXXCPP_value=''
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CXX_set=set
ac_cv_env_CXX_value=c++
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE'
ac_cv_env_LIBS_set=set
ac_cv_env_LIBS_value=''
ac_cv_env_LT_SYS_LIBRARY_PATH_set=''
ac_cv_env_LT_SYS_LIBRARY_PATH_value=''
ac_cv_env_OBJCFLAGS_set=''
ac_cv_env_OBJCFLAGS_value=''
ac_cv_env_OBJC_set=''
ac_cv_env_OBJC_value=''
ac_cv_env_PYTHON_set=''
ac_cv_env_PYTHON_value=''
ac_cv_env_XMKMF_set=''
ac_cv_env_XMKMF_value=''
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64--netbsd
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=x86_64--netbsd
ac_cv_env_target_alias_set=''
ac_cv_env_target_alias_value=''
ac_cv_func_dlopen=yes
ac_cv_func_shl_load=no
ac_cv_have_decl__stati64=no
ac_cv_have_decl_gcry_mpi_set_opaque_copy=yes
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=x86_64--netbsd
ac_cv_lib_c_getloadavg=yes
ac_cv_lib_dld_shl_load=no
ac_cv_lib_m_log=yes
ac_cv_lib_socket_socket=no
ac_cv_member_struct_tm_tm_gmtoff=yes
ac_cv_objc_compiler_gnu=yes
ac_cv_objext=o
ac_cv_path_CAT=/bin/cat
ac_cv_path_ECHO=echo
ac_cv_path_EGREP=/usr/bin/egrep
ac_cv_path_ENV=/usr/bin/env
ac_cv_path_FALSE=false
ac_cv_path_FGREP='/usr/bin/grep -F'
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_LIBGCRYPT_CONFIG=/nonexistent
ac_cv_path_SED=/usr/bin/sed
ac_cv_path_TEST=test
ac_cv_path_TRUE=true
ac_cv_path_lt_DD=/bin/dd
ac_cv_prog_AWK=/usr/bin/awk
ac_cv_prog_CC=gcc
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='c++ -E'
ac_cv_prog_VAR_GETOPT_BINARY=true
ac_cv_prog_VAR_SSH_BINARY=true
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_MANIFEST_TOOL=mt
ac_cv_prog_ac_ct_OBJC=gcc
ac_cv_prog_ac_ct_OBJDUMP=objdump
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c89=''
ac_cv_prog_cc_c99=''
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
ac_cv_prog_objc_g=yes
ac_cv_search_gethostbyname='none required'
ac_cv_sys_file_offset_bits=no
ac_cv_sys_largefile_CC=no
ac_cv_sys_largefile_source=no
ac_cv_target=x86_64--netbsd
ac_cv_unaligned_64_access=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_OBJC_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
gt_cv_func_gnugettext1_libintl=yes
gt_cv_func_gnugettext2_libintl=yes
gt_cv_func_gnugettext_libintl=yes
lt_cv_ar_at_file=@
lt_cv_archive_cmds_need_lc=no
lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so|_pic\.a)$'
lt_cv_dlopen=dlopen
lt_cv_dlopen_libs=''
lt_cv_dlopen_self=yes
lt_cv_dlopen_self_static=no
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=''
lt_cv_ld_reload_flag=-r
lt_cv_nm_interface='BSD nm'
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/work/wip/gnunet/work/.cwrapper/bin/ld
lt_cv_path_LDCXX=/usr/work/wip/gnunet/work/.cwrapper/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_path_mainfest_tool=no
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_c_o_CXX=yes
lt_cv_prog_compiler_pic='-fPIC -DPIC'
lt_cv_prog_compiler_pic_CXX='-fPIC -DPIC'
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_pic_works_CXX=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_compiler_static_works_CXX=yes
lt_cv_prog_gnu_ld=yes
lt_cv_prog_gnu_ldcxx=yes
lt_cv_sharedlib_from_linklib_cmd='printf %s\n'
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[	 ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'' | sed '\''/ __gnu_lto/d'\'
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \(.*\) .*$/  {"\1", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/  {"\1", (void *) \&\1},/p'\'
lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: \(.*\) .*$/  {"\1", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(lib.*\)$/  {"\1", (void *) \&\1},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/  {"lib\1", (void *) \&\1},/p'\'
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern int \1();/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'
lt_cv_sys_global_symbol_to_import=''
lt_cv_sys_max_cmd_len=262144
lt_cv_to_host_file_cmd=func_convert_file_noop
lt_cv_to_tool_file_cmd=func_convert_file_noop
lt_cv_truncate_bin='/bin/dd bs=4096 count=1'

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing aclocal-1.15'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='0'
AM_V='$(V)'
AR='ar'
AS='as'
AUTOCONF='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing autoconf'
AUTOHEADER='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing autoheader'
AUTOMAKE='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing automake-1.15'
AUTOSTART=''
AWK='/usr/bin/awk'
BUILD_EXPERIMENTAL_HELPERS_FALSE=''
BUILD_EXPERIMENTAL_HELPERS_TRUE=''
BUILD_GST_HELPERS_FALSE=''
BUILD_GST_HELPERS_TRUE=''
BUILD_PULSE_HELPERS_FALSE=''
BUILD_PULSE_HELPERS_TRUE=''
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CPP='gcc -E'
CPPFLAGS='-I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CXX='c++'
CXXCPP='c++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CYGPATH_W='echo'
CYGWIN_FALSE=''
CYGWIN_TRUE='#'
DARWIN_FALSE=''
DARWIN_TRUE='#'
DEFAULT_INTERFACE='"eth0"'
DEFS=''
DEPDIR='.deps'
DLLDIR='lib'
DLLTOOL='false'
DOCUMENTATION_FALSE=''
DOCUMENTATION_ONLY_FALSE=''
DOCUMENTATION_ONLY_TRUE=''
DOCUMENTATION_TRUE=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/egrep'
ENABLE_MALICIOUS_FALSE=''
ENABLE_MALICIOUS_TRUE=''
ENABLE_MONKEY_FALSE=''
ENABLE_MONKEY_TRUE=''
ENABLE_NSE_HISTOGRAM_FALSE=''
ENABLE_NSE_HISTOGRAM_TRUE=''
ENABLE_SUPERMUC_FALSE=''
ENABLE_SUPERMUC_TRUE=''
ENABLE_TEST_RUN_FALSE=''
ENABLE_TEST_RUN_TRUE=''
EXEEXT=''
EXT_LIBS=''
EXT_LIB_PATH=''
FGREP='/usr/bin/grep -F'
GETTEXT_MACRO_VERSION=''
GLIB_CFLAGS=''
GLIB_LIBS=''
GMSGFMT=''
GMSGFMT_015=''
GNUNETDNS_GROUP=''
GNU_FALSE=''
GNU_TRUE='#'
GN_INTLINCL=''
GN_LIBINTL=''
GN_LIB_LDFLAGS=''
GN_PLUGIN_LDFLAGS=''
GREP='/usr/bin/grep'
GST_CFLAGS=''
GST_LIBS=''
HAVE_ABE_FALSE=''
HAVE_ABE_TRUE=''
HAVE_BENCHMARKS_FALSE=''
HAVE_BENCHMARKS_TRUE=''
HAVE_EXPENSIVE_TESTS_FALSE=''
HAVE_EXPENSIVE_TESTS_TRUE=''
HAVE_EXPERIMENTAL_FALSE=''
HAVE_EXPERIMENTAL_TRUE=''
HAVE_GETOPT_BINARY_FALSE='#'
HAVE_GETOPT_BINARY_TRUE=''
HAVE_GLIBCNSS_FALSE=''
HAVE_GLIBCNSS_TRUE=''
HAVE_GNUTLS_DANE_FALSE=''
HAVE_GNUTLS_DANE_TRUE=''
HAVE_GNUTLS_FALSE=''
HAVE_GNUTLS_TRUE=''
HAVE_JANSSON_FALSE=''
HAVE_JANSSON_TRUE=''
HAVE_JSON_FALSE=''
HAVE_JSON_TRUE=''
HAVE_LIBBLUETOOTH_FALSE=''
HAVE_LIBBLUETOOTH_TRUE=''
HAVE_LIBCURL_FALSE=''
HAVE_LIBCURL_TRUE=''
HAVE_LIBEXTRACTOR_FALSE=''
HAVE_LIBEXTRACTOR_TRUE=''
HAVE_LIBGLPK_FALSE=''
HAVE_LIBGLPK_TRUE=''
HAVE_LIBGNURL_FALSE=''
HAVE_LIBGNURL_TRUE=''
HAVE_LIBUNISTRING=''
HAVE_MHD_FALSE=''
HAVE_MHD_TRUE=''
HAVE_MYSQLE_FALSE=''
HAVE_MYSQLE_TRUE=''
HAVE_MYSQL_FALSE=''
HAVE_MYSQL_TRUE=''
HAVE_OGG_FALSE=''
HAVE_OGG_TRUE=''
HAVE_PBC_FALSE=''
HAVE_PBC_TRUE=''
HAVE_POSTGRESQL_FALSE=''
HAVE_POSTGRESQL_TRUE=''
HAVE_PYTHON_FALSE=''
HAVE_PYTHON_TRUE=''
HAVE_SQLITE_FALSE=''
HAVE_SQLITE_TRUE=''
HAVE_SSH_BINARY_FALSE='#'
HAVE_SSH_BINARY_TRUE=''
HAVE_SSH_KEY_FALSE=''
HAVE_SSH_KEY_TRUE='#'
HAVE_SUDO_FALSE=''
HAVE_SUDO_TRUE=''
HAVE_TESTING_FALSE=''
HAVE_TESTING_TRUE=''
INSTALL_DATA='/usr/bin/install -c -o ng0 -g users -m 644'
INSTALL_PROGRAM='/usr/bin/install -c -s -o ng0 -g users -m 755'
INSTALL_SCRIPT='/usr/bin/install -c -o ng0 -g users -m 755'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
INTLLIBS=''
INTL_MACOSX_LIBS=''
JAVAPORT=''
LD='/usr/work/wip/gnunet/work/.cwrapper/bin/ld'
LDFLAGS='-lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE'
LIBCURL=''
LIBCURL_CPPFLAGS=''
LIBGCRYPT_CFLAGS=''
LIBGCRYPT_CONFIG='/nonexistent'
LIBGCRYPT_LIBS=''
LIBGNURL=''
LIBGNURL_CPPFLAGS=''
LIBICONV=''
LIBINTL=''
LIBOBJS=''
LIBPREFIX=''
LIBS='-lm '
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LIBUNISTRING=''
LIBUNISTRING_PREFIX=''
LINUX_FALSE=''
LINUX_TRUE='#'
LIPO=''
LN_S='ln -s'
LTLIBICONV=''
LTLIBINTL=''
LTLIBOBJS=''
LTLIBUNISTRING=''
LT_SYS_LIBRARY_PATH=''
MAKEINFO='/usr/work/wip/gnunet/work/.tools/bin/makeinfo'
MANIFEST_TOOL=':'
MINGW_FALSE=''
MINGW_TRUE='#'
MKDIR_P='./install-sh -c -d'
MONKEYPREFIX=''
MSGFMT=''
MSGFMT_015=''
MSGMERGE=''
MYSQL_CPPFLAGS=''
MYSQL_LDFLAGS=''
NM='/usr/bin/nm -B'
NMEDIT=''
OBJC='gcc'
OBJCDEPMODE='depmode=gcc3'
OBJCFLAGS='-g -O2'
OBJDUMP='objdump'
OBJEXT='o'
OPENBSD_FALSE=''
OPENBSD_TRUE='#'
OTOOL64=''
OTOOL=''
PACKAGE='gnunet'
PACKAGE_BUGREPORT='bug-gnunet@gnu.org'
PACKAGE_NAME='gnunet'
PACKAGE_STRING='gnunet 0.11.0pre66'
PACKAGE_TARNAME='gnunet'
PACKAGE_URL=''
PACKAGE_VERSION='0.11.0pre66'
PATH_SEPARATOR=':'
PG_CONFIG=''
PKG_CONFIG='/usr/work/wip/gnunet/work/.tools/bin/pkg-config'
POSTGRESQL_CPPFLAGS=''
POSTGRESQL_LDFLAGS=''
POSTGRESQL_VERSION=''
POSUB=''
PYTHON=''
PYTHON_EXEC_PREFIX=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
RANLIB='ranlib'
SED='/usr/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
SOLARIS_FALSE=''
SOLARIS_TRUE='#'
SQLITE_CPPFLAGS=''
SQLITE_LDFLAGS=''
STRIP='strip'
SUDO_BINARY=''
TALER_ONLY_FALSE=''
TALER_ONLY_TRUE=''
UNIXONLY='#'
USE_COVERAGE_FALSE=''
USE_COVERAGE_TRUE=''
USE_NLS=''
VAR_GETOPT_BINARY='true'
VAR_SSH_BINARY='true'
VERSION='0.11.0pre66'
WANT_FRAMEWORK_FALSE=''
WANT_FRAMEWORK_TRUE=''
XFREEBSD_FALSE=''
XFREEBSD_TRUE='#'
XGETTEXT=''
XGETTEXT_015=''
XGETTEXT_EXTRA_OPTIONS=''
XMKMF=''
X_CFLAGS=''
X_EXTRA_LIBS=''
X_LIBS=''
X_PRE_LIBS=''
Z_CFLAGS=''
Z_LIBS=''
_libcurl_config=''
_libgnurl_config=''
ac_ct_AR='ar'
ac_ct_CC=''
ac_ct_CXX=''
ac_ct_DUMPBIN=''
ac_ct_OBJC='gcc'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__fastdepOBJC_FALSE=''
am__fastdepOBJC_TRUE='#'
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build='x86_64--netbsd'
build_alias='x86_64--netbsd'
build_cpu='x86_64'
build_os='netbsd'
build_target=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
gitcommand=''
host='x86_64--netbsd'
host_alias='x86_64--netbsd'
host_cpu='x86_64'
host_os='netbsd'
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='/usr/pkg/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
pkgpyexecdir=''
pkgpythondir=''
prefix='/usr/pkg'
program_transform_name='s,x,x,'
psdir='${docdir}'
pyexecdir=''
pythondir=''
runstatedir='${localstatedir}/run'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
svnversioncommand=''
sysconfdir='/usr/pkg/etc'
target='x86_64--netbsd'
target_alias=''
target_cpu='x86_64'
target_os='netbsd'
target_vendor=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "gnunet"
#define PACKAGE_TARNAME "gnunet"
#define PACKAGE_VERSION "0.11.0pre66"
#define PACKAGE_STRING "gnunet 0.11.0pre66"
#define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
#define PACKAGE_URL ""
#define PACKAGE "gnunet"
#define VERSION "0.11.0pre66"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define LT_OBJDIR ".libs/"
#define HAVE_FSEEKO 1
#define SOMEBSD 1
#define NETBSD 1
#define GNUNET_DEFAULT_INTERFACE "eth0"
#define HAVE_UNALIGNED_64_ACCESS 1
#define HAVE_LIBM 1
#define HAVE_GETLOADAVG 1
#define HAVE_TM_GMTOFF 1
#define HAVE_DECL__STATI64 0
#define HAVE_DECL_GCRY_MPI_SET_OPAQUE_COPY 1

configure: exit 1
config.log (76,444 bytes)   

nikita

2019-02-11 18:43

developer   ~0013651

snip:

configure:20024: checking for struct tm.tm_gmtoff
configure:20024: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:20024: $? = 0
configure:20024: result: yes
configure:20033: checking whether _stati64 is declared
configure:20033: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
conftest.c: In function 'main':
conftest.c:71:10: error: '_stati64' undeclared (first use in this function); did you mean 'fstatat'?
   (void) _stati64;
          ^~~~~~~~
          fstatat
conftest.c:71:10: note: each undeclared identifier is reported only once for each function it appears in
configure:20033: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gnunet"
| #define PACKAGE_TARNAME "gnunet"
| #define PACKAGE_VERSION "0.11.0pre66"
| #define PACKAGE_STRING "gnunet 0.11.0pre66"
| #define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
| #define PACKAGE_URL ""
| #define PACKAGE "gnunet"
| #define VERSION "0.11.0pre66"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| #define HAVE_FSEEKO 1
| #define SOMEBSD 1
| #define NETBSD 1
| #define GNUNET_DEFAULT_INTERFACE "eth0"
| #define HAVE_UNALIGNED_64_ACCESS 1
| #define HAVE_LIBM 1
| #define HAVE_GETLOADAVG 1
| #define HAVE_TM_GMTOFF 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| int
| main ()
| {
| #ifndef _stati64
| #ifdef __cplusplus
| (void) _stati64;
| #else
| (void) _stati64;
| #endif
| #endif
|
| ;
| return 0;
| }
configure:20033: result: no
configure:20173: checking for x86_64--netbsd-libgcrypt-config
configure:20203: result: /nonexistent
configure:20277: checking for LIBGCRYPT - version >= 1.6.0
configure:20314: result: no
configure:20369: checking whether gcry_mpi_set_opaque_copy is declared
configure:20369: gcc -c -fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include conftest.c >&5
configure:20369: $? = 0
configure:20369: result: yes
configure:20391: error:
***
*** You need libgcrypt to build this program.
** This library is for example available at
*** ftp://ftp.gnupg.org/gcrypt/libgcrypt/
*** (at least version 1.6.0 (API 1)
*** is required.)
***

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=x86_64--netbsd
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=''
ac_cv_env_CCC_value=''
ac_cv_env_CC_set=set
ac_cv_env_CC_value=gcc
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value='-I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CPP_set=''
ac_cv_env_CPP_value=''
ac_cv_env_CXXCPP_set=''
ac_cv_env_CXXCPP_value=''
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
ac_cv_env_CXX_set=set
ac_cv_env_CXX_value=c++
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE'
ac_cv_env_LIBS_set=set
ac_cv_env_LIBS_value=''
ac_cv_env_LT_SYS_LIBRARY_PATH_set=''
ac_cv_env_LT_SYS_LIBRARY_PATH_value=''
ac_cv_env_OBJCFLAGS_set=''
ac_cv_env_OBJCFLAGS_value=''
ac_cv_env_OBJC_set=''
ac_cv_env_OBJC_value=''
ac_cv_env_PYTHON_set=''
ac_cv_env_PYTHON_value=''
ac_cv_env_XMKMF_set=''
ac_cv_env_XMKMF_value=''
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64--netbsd
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=x86_64--netbsd
ac_cv_env_target_alias_set=''
ac_cv_env_target_alias_value=''
ac_cv_func_dlopen=yes
ac_cv_func_shl_load=no
ac_cv_have_decl__stati64=no
ac_cv_have_decl_gcry_mpi_set_opaque_copy=yes
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=x86_64--netbsd
ac_cv_lib_c_getloadavg=yes
ac_cv_lib_dld_shl_load=no
ac_cv_lib_m_log=yes
ac_cv_lib_socket_socket=no
ac_cv_member_struct_tm_tm_gmtoff=yes
ac_cv_objc_compiler_gnu=yes
ac_cv_objext=o
ac_cv_path_CAT=/bin/cat
ac_cv_path_ECHO=echo
ac_cv_path_EGREP=/usr/bin/egrep
ac_cv_path_ENV=/usr/bin/env
ac_cv_path_FALSE=false
ac_cv_path_FGREP='/usr/bin/grep -F'
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_LIBGCRYPT_CONFIG=/nonexistent
ac_cv_path_SED=/usr/bin/sed
ac_cv_path_TEST=test
ac_cv_path_TRUE=true
ac_cv_path_lt_DD=/bin/dd
ac_cv_prog_AWK=/usr/bin/awk
ac_cv_prog_CC=gcc
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='c++ -E'
ac_cv_prog_VAR_GETOPT_BINARY=true
ac_cv_prog_VAR_SSH_BINARY=true
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_MANIFEST_TOOL=mt
ac_cv_prog_ac_ct_OBJC=gcc
ac_cv_prog_ac_ct_OBJDUMP=objdump
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c89=''
ac_cv_prog_cc_c99=''
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
ac_cv_prog_objc_g=yes
ac_cv_search_gethostbyname='none required'
ac_cv_sys_file_offset_bits=no
ac_cv_sys_largefile_CC=no
ac_cv_sys_largefile_source=no
ac_cv_target=x86_64--netbsd
ac_cv_unaligned_64_access=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_OBJC_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
am_cv_prog_cc_c_o=yes
gt_cv_func_gnugettext1_libintl=yes
gt_cv_func_gnugettext2_libintl=yes
gt_cv_func_gnugettext_libintl=yes
lt_cv_ar_at_file=@
lt_cv_archive_cmds_need_lc=no
lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so|_pic\.a)$'
lt_cv_dlopen=dlopen
lt_cv_dlopen_libs=''
lt_cv_dlopen_self=yes
lt_cv_dlopen_self_static=no
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=''
lt_cv_ld_reload_flag=-r
lt_cv_nm_interface='BSD nm'
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/work/wip/gnunet/work/.cwrapper/bin/ld
lt_cv_path_LDCXX=/usr/work/wip/gnunet/work/.cwrapper/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_path_mainfest_tool=no
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_c_o_CXX=yes
lt_cv_prog_compiler_pic='-fPIC -DPIC'
lt_cv_prog_compiler_pic_CXX='-fPIC -DPIC'
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_pic_works_CXX=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_compiler_static_works_CXX=yes
lt_cv_prog_gnu_ld=yes
lt_cv_prog_gnu_ldcxx=yes
lt_cv_sharedlib_from_linklib_cmd='printf %s\n'
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'' | sed '\''/ __gnu_lto/d'\'
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \(.*\) .*$/ {"\1", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/ {"\1", (void *) \&\1},/p'\'
lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: \(.*\) .*$/ {"\1", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(lib.*\)$/ {"\1", (void *) \&\1},/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/ {"lib\1", (void *) \&\1},/p'\'
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern int \1();/p'\'' -e '\''s/^[ABCDGIRSTW][ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'
lt_cv_sys_global_symbol_to_import=''
lt_cv_sys_max_cmd_len=262144
lt_cv_to_host_file_cmd=func_convert_file_noop
lt_cv_to_tool_file_cmd=func_convert_file_noop
lt_cv_truncate_bin='/bin/dd bs=4096 count=1'

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing aclocal-1.15'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='0'
AM_V='$(V)'
AR='ar'
AS='as'
AUTOCONF='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing autoconf'
AUTOHEADER='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing autoheader'
AUTOMAKE='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/missing automake-1.15'
AUTOSTART=''
AWK='/usr/bin/awk'
BUILD_EXPERIMENTAL_HELPERS_FALSE=''
BUILD_EXPERIMENTAL_HELPERS_TRUE=''
BUILD_GST_HELPERS_FALSE=''
BUILD_GST_HELPERS_TRUE=''
BUILD_PULSE_HELPERS_FALSE=''
BUILD_PULSE_HELPERS_TRUE=''
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-fno-strict-aliasing -Wall -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CPP='gcc -E'
CPPFLAGS='-I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CXX='c++'
CXXCPP='c++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-O2 -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/nss/nss -I/usr/pkg/include/nspr -I/usr/pkg/include/glib/glib-2.0 -I/usr/pkg/include/glib/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include'
CYGPATH_W='echo'
CYGWIN_FALSE=''
CYGWIN_TRUE='#'
DARWIN_FALSE=''
DARWIN_TRUE='#'
DEFAULT_INTERFACE='"eth0"'
DEFS=''
DEPDIR='.deps'
DLLDIR='lib'
DLLTOOL='false'
DOCUMENTATION_FALSE=''
DOCUMENTATION_ONLY_FALSE=''
DOCUMENTATION_ONLY_TRUE=''
DOCUMENTATION_TRUE=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/egrep'
ENABLE_MALICIOUS_FALSE=''
ENABLE_MALICIOUS_TRUE=''
ENABLE_MONKEY_FALSE=''
ENABLE_MONKEY_TRUE=''
ENABLE_NSE_HISTOGRAM_FALSE=''
ENABLE_NSE_HISTOGRAM_TRUE=''
ENABLE_SUPERMUC_FALSE=''
ENABLE_SUPERMUC_TRUE=''
ENABLE_TEST_RUN_FALSE=''
ENABLE_TEST_RUN_TRUE=''
EXEEXT=''
EXT_LIBS=''
EXT_LIB_PATH=''
FGREP='/usr/bin/grep -F'
GETTEXT_MACRO_VERSION=''
GLIB_CFLAGS=''
GLIB_LIBS=''
GMSGFMT=''
GMSGFMT_015=''
GNUNETDNS_GROUP=''
GNU_FALSE=''
GNU_TRUE='#'
GN_INTLINCL=''
GN_LIBINTL=''
GN_LIB_LDFLAGS=''
GN_PLUGIN_LDFLAGS=''
GREP='/usr/bin/grep'
GST_CFLAGS=''
GST_LIBS=''
HAVE_ABE_FALSE=''
HAVE_ABE_TRUE=''
HAVE_BENCHMARKS_FALSE=''
HAVE_BENCHMARKS_TRUE=''
HAVE_EXPENSIVE_TESTS_FALSE=''
HAVE_EXPENSIVE_TESTS_TRUE=''
HAVE_EXPERIMENTAL_FALSE=''
HAVE_EXPERIMENTAL_TRUE=''
HAVE_GETOPT_BINARY_FALSE='#'
HAVE_GETOPT_BINARY_TRUE=''
HAVE_GLIBCNSS_FALSE=''
HAVE_GLIBCNSS_TRUE=''
HAVE_GNUTLS_DANE_FALSE=''
HAVE_GNUTLS_DANE_TRUE=''
HAVE_GNUTLS_FALSE=''
HAVE_GNUTLS_TRUE=''
HAVE_JANSSON_FALSE=''
HAVE_JANSSON_TRUE=''
HAVE_JSON_FALSE=''
HAVE_JSON_TRUE=''
HAVE_LIBBLUETOOTH_FALSE=''
HAVE_LIBBLUETOOTH_TRUE=''
HAVE_LIBCURL_FALSE=''
HAVE_LIBCURL_TRUE=''
HAVE_LIBEXTRACTOR_FALSE=''
HAVE_LIBEXTRACTOR_TRUE=''
HAVE_LIBGLPK_FALSE=''
HAVE_LIBGLPK_TRUE=''
HAVE_LIBGNURL_FALSE=''
HAVE_LIBGNURL_TRUE=''
HAVE_LIBUNISTRING=''
HAVE_MHD_FALSE=''
HAVE_MHD_TRUE=''
HAVE_MYSQLE_FALSE=''
HAVE_MYSQLE_TRUE=''
HAVE_MYSQL_FALSE=''
HAVE_MYSQL_TRUE=''
HAVE_OGG_FALSE=''
HAVE_OGG_TRUE=''
HAVE_PBC_FALSE=''
HAVE_PBC_TRUE=''
HAVE_POSTGRESQL_FALSE=''
HAVE_POSTGRESQL_TRUE=''
HAVE_PYTHON_FALSE=''
HAVE_PYTHON_TRUE=''
HAVE_SQLITE_FALSE=''
HAVE_SQLITE_TRUE=''
HAVE_SSH_BINARY_FALSE='#'
HAVE_SSH_BINARY_TRUE=''
HAVE_SSH_KEY_FALSE=''
HAVE_SSH_KEY_TRUE='#'
HAVE_SUDO_FALSE=''
HAVE_SUDO_TRUE=''
HAVE_TESTING_FALSE=''
HAVE_TESTING_TRUE=''
INSTALL_DATA='/usr/bin/install -c -o ng0 -g users -m 644'
INSTALL_PROGRAM='/usr/bin/install -c -s -o ng0 -g users -m 755'
INSTALL_SCRIPT='/usr/bin/install -c -o ng0 -g users -m 755'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
INTLLIBS=''
INTL_MACOSX_LIBS=''
JAVAPORT=''
LD='/usr/work/wip/gnunet/work/.cwrapper/bin/ld'
LDFLAGS='-lpthread -lintl -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib/nss -Wl,-R/usr/pkg/lib/nss -L/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/nspr -Wl,-R/usr/pkg/lib/perl5/5.28.0/x86_64-netbsd-thread-multi/CORE'
LIBCURL=''
LIBCURL_CPPFLAGS=''
LIBGCRYPT_CFLAGS=''
LIBGCRYPT_CONFIG='/nonexistent'
LIBGCRYPT_LIBS=''
LIBGNURL=''
LIBGNURL_CPPFLAGS=''
LIBICONV=''
LIBINTL=''
LIBOBJS=''
LIBPREFIX=''
LIBS='-lm '
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LIBUNISTRING=''
LIBUNISTRING_PREFIX=''
LINUX_FALSE=''
LINUX_TRUE='#'
LIPO=''
LN_S='ln -s'
LTLIBICONV=''
LTLIBINTL=''
LTLIBOBJS=''
LTLIBUNISTRING=''
LT_SYS_LIBRARY_PATH=''
MAKEINFO='/usr/work/wip/gnunet/work/.tools/bin/makeinfo'
MANIFEST_TOOL=':'
MINGW_FALSE=''
MINGW_TRUE='#'
MKDIR_P='./install-sh -c -d'
MONKEYPREFIX=''
MSGFMT=''
MSGFMT_015=''
MSGMERGE=''
MYSQL_CPPFLAGS=''
MYSQL_LDFLAGS=''
NM='/usr/bin/nm -B'
NMEDIT=''
OBJC='gcc'
OBJCDEPMODE='depmode=gcc3'
OBJCFLAGS='-g -O2'
OBJDUMP='objdump'
OBJEXT='o'
OPENBSD_FALSE=''
OPENBSD_TRUE='#'
OTOOL64=''
OTOOL=''
PACKAGE='gnunet'
PACKAGE_BUGREPORT='bug-gnunet@gnu.org'
PACKAGE_NAME='gnunet'
PACKAGE_STRING='gnunet 0.11.0pre66'
PACKAGE_TARNAME='gnunet'
PACKAGE_URL=''
PACKAGE_VERSION='0.11.0pre66'
PATH_SEPARATOR=':'
PG_CONFIG=''
PKG_CONFIG='/usr/work/wip/gnunet/work/.tools/bin/pkg-config'
POSTGRESQL_CPPFLAGS=''
POSTGRESQL_LDFLAGS=''
POSTGRESQL_VERSION=''
POSUB=''
PYTHON=''
PYTHON_EXEC_PREFIX=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
RANLIB='ranlib'
SED='/usr/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
SOLARIS_FALSE=''
SOLARIS_TRUE='#'
SQLITE_CPPFLAGS=''
SQLITE_LDFLAGS=''
STRIP='strip'
SUDO_BINARY=''
TALER_ONLY_FALSE=''
TALER_ONLY_TRUE=''
UNIXONLY='#'
USE_COVERAGE_FALSE=''
USE_COVERAGE_TRUE=''
USE_NLS=''
VAR_GETOPT_BINARY='true'
VAR_SSH_BINARY='true'
VERSION='0.11.0pre66'
WANT_FRAMEWORK_FALSE=''
WANT_FRAMEWORK_TRUE=''
XFREEBSD_FALSE=''
XFREEBSD_TRUE='#'
XGETTEXT=''
XGETTEXT_015=''
XGETTEXT_EXTRA_OPTIONS=''
XMKMF=''
X_CFLAGS=''
X_EXTRA_LIBS=''
X_LIBS=''
X_PRE_LIBS=''
Z_CFLAGS=''
Z_LIBS=''
_libcurl_config=''
_libgnurl_config=''
ac_ct_AR='ar'
ac_ct_CC=''
ac_ct_CXX=''
ac_ct_DUMPBIN=''
ac_ct_OBJC='gcc'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__fastdepOBJC_FALSE=''
am__fastdepOBJC_TRUE='#'
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build='x86_64--netbsd'
build_alias='x86_64--netbsd'
build_cpu='x86_64'
build_os='netbsd'
build_target=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
gitcommand=''
host='x86_64--netbsd'
host_alias='x86_64--netbsd'
host_cpu='x86_64'
host_os='netbsd'
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /usr/work/wip/gnunet/work/gnunet-0.11.0pre66/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='/usr/pkg/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
pkgpyexecdir=''
pkgpythondir=''
prefix='/usr/pkg'
program_transform_name='s,x,x,'
psdir='${docdir}'
pyexecdir=''
pythondir=''
runstatedir='${localstatedir}/run'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
svnversioncommand=''
sysconfdir='/usr/pkg/etc'
target='x86_64--netbsd'
target_alias=''
target_cpu='x86_64'
target_os='netbsd'
target_vendor=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "gnunet"
#define PACKAGE_TARNAME "gnunet"
#define PACKAGE_VERSION "0.11.0pre66"
#define PACKAGE_STRING "gnunet 0.11.0pre66"
#define PACKAGE_BUGREPORT "bug-gnunet@gnu.org"
#define PACKAGE_URL ""
#define PACKAGE "gnunet"
#define VERSION "0.11.0pre66"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define LT_OBJDIR ".libs/"
#define HAVE_FSEEKO 1
#define SOMEBSD 1
#define NETBSD 1
#define GNUNET_DEFAULT_INTERFACE "eth0"
#define HAVE_UNALIGNED_64_ACCESS 1
#define HAVE_LIBM 1
#define HAVE_GETLOADAVG 1
#define HAVE_TM_GMTOFF 1
#define HAVE_DECL__STATI64 0
#define HAVE_DECL_GCRY_MPI_SET_OPAQUE_COPY 1

configure: exit 1

nikita

2019-02-11 18:46

developer   ~0013652

Further information: libgcrypt from pkgsrc current is installed and in the build environment, version 1.8.4

nikita

2019-02-11 18:58

developer   ~0013653

This happens even with --with-libgcrypt-prefix pointing to the right directory.

nikita

2019-02-11 19:41

developer   ~0013655

after going through this with other pkgsrc developers, the following conclusion was drawn:

since the only package in pkgsrc using gcrypt-config is collectd-network and it picks it up directly, and all others probably use pkg-config,
and pointing to gcrypt-config did not work, our configure.ac must be improved to allow picking it up.

nikita

2019-02-11 19:42

developer   ~0013656

No idea if the _stati64 message above is unrelated.

nikita

2019-02-11 19:55

developer   ~0013657

Is there any reason why we don't make use of pkg-config for this?

(and for other parts in the configure script)

Christian Grothoff

2019-02-11 20:08

manager   ~0013658

No fundamental reason, except the usual big one: will pkg-config work as well on the various platforms than what we have now? Is pkg-config always there? IIRC it isn't actually best-practice to use pkg-config with autotools, but I may be mistaken.

Generally, I would prefer to only mess with these things given proper CI testing across the various OSes to avoid regressions.

nikita

2019-02-11 20:13

developer   ~0013659

Fixed, as there is old cruft in the options.mk in the pkgsrc.. but the question on pkg-config still stands.

nikita

2019-02-11 20:14

developer   ~0013660

okay, thanks!

nikita

2019-02-11 20:15

developer   ~0013661

problem existed in old pkgsrc cruft package options.mk.

Issue History

Date Modified Username Field Change
2019-02-11 18:41 nikita New Issue
2019-02-11 18:41 nikita File Added: config.log
2019-02-11 18:43 nikita Note Added: 0013651
2019-02-11 18:46 nikita Note Added: 0013652
2019-02-11 18:58 nikita Note Added: 0013653
2019-02-11 19:41 nikita Note Added: 0013655
2019-02-11 19:42 nikita Note Added: 0013656
2019-02-11 19:42 nikita Summary libgcrypt is not picked up by configure => libgcrypt-config is not picked up by configure
2019-02-11 19:55 nikita Note Added: 0013657
2019-02-11 19:55 nikita Assigned To => Christian Grothoff
2019-02-11 19:55 nikita Status new => assigned
2019-02-11 20:08 Christian Grothoff Note Added: 0013658
2019-02-11 20:08 Christian Grothoff Assigned To Christian Grothoff => nikita
2019-02-11 20:13 nikita Note Added: 0013659
2019-02-11 20:14 nikita Note Added: 0013660
2019-02-11 20:15 nikita Status assigned => resolved
2019-02-11 20:15 nikita Resolution open => fixed
2019-02-11 20:15 nikita Fixed in Version => Git master
2019-02-11 20:15 nikita Note Added: 0013661
2019-02-12 08:21 Christian Grothoff Fixed in Version Git master => 0.11.0
2019-02-12 08:21 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed